//
//  ModalBarViewController.m
//  ModalBar
//
//  Created by Damon Holzborn on 3/1/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "ModalBarViewController.h"

@implementation ModalBarViewController

@synthesize rtcmixManager;
@synthesize stickPositionLabel;
@synthesize stickHardnessLabel;
@synthesize flangerRateLabel;
@synthesize bitRateLabel;
@synthesize repetitivenessLabel;
@synthesize baseDurLabel;
@synthesize stickPositionSlider;
@synthesize stickHardnessSlider;
@synthesize flangerRateSlider;
@synthesize bitRateSlider;
@synthesize repetitivenessSlider;
@synthesize baseDurSlider;

- (IBAction)stickPosition:(UISlider *)sender {
	[rtcmixManager setMainScoreParameter:0 withValue:sender.value];
	[stickPositionLabel setText:[NSString stringWithFormat:@"%.2f", sender.value]];
}

- (IBAction)stickHardness:(UISlider *)sender {
	[rtcmixManager setMainScoreParameter:1 withValue:sender.value];
	[stickHardnessLabel setText:[NSString stringWithFormat:@"%.2f", sender.value]];
}

- (IBAction)repetitiveness:(UISlider *)sender {
	[rtcmixManager setMainScoreParameter:2 withValue:sender.value];
	[repetitivenessLabel setText:[NSString stringWithFormat:@"%.2f", sender.value]];
}

- (IBAction)baseDur:(UISlider *)sender {
	[rtcmixManager setMainScoreParameter:3 withValue:sender.value];
	[baseDurLabel setText:[NSString stringWithFormat:@"%.2f", sender.value]];
}

- (IBAction)flangerRate:(UISlider *)sender {
	[rtcmixManager setInlet:1 withValue:sender.value];
	[flangerRateLabel setText:[NSString stringWithFormat:@"%.2f", sender.value]];

}
- (IBAction)bitRate:(UISlider *)sender {
	[rtcmixManager setInlet:2 withValue:(int)sender.value];
	[bitRateLabel setText:[NSString stringWithFormat:@"%d", (int)sender.value]];
}

- (IBAction)setEffects:(UISegmentedControl *)sender {
	[rtcmixManager flushAllScripts];
	[rtcmixManager setSetupParameter:2 withValue:sender.selectedSegmentIndex];
	[rtcmixManager parseScoreWithRTcmixScore:[rtcmixManager modalBarScore]];
}

- (IBAction)goMainScore {
	[rtcmixManager parseScoreWithRTcmixScore:[rtcmixManager modalBarScore]];
}

- (IBAction)flush {
	[rtcmixManager flushAllScripts];
}


/*
// The designated initializer. Override to perform setup that is required before the view is loaded.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}
*/

/*
// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView {
}
*/



// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];
	
	rtcmixManager = [RTcmixManager sharedManager];
	[rtcmixManager startAudioQueuePlayer];
	
	float stickPositionDefault = [[rtcmixManager.modalBarScore.mainScoreParameters objectAtIndex:0] floatValue];
	float stickHardnessDefault = [[rtcmixManager.modalBarScore.mainScoreParameters objectAtIndex:1] floatValue];
	float repetitivenessDefault = [[rtcmixManager.modalBarScore.mainScoreParameters objectAtIndex:2] floatValue];
	float baseDurDefault = [[rtcmixManager.modalBarScore.mainScoreParameters objectAtIndex:3] floatValue];
	
	float flangerRateDefault = [[rtcmixManager.modalBarScore.setupScoreParameters objectAtIndex:0] floatValue];
	int bitRateDefault = [[rtcmixManager.modalBarScore.setupScoreParameters objectAtIndex:1] intValue];

	[stickPositionLabel setText:[NSString stringWithFormat:@"%.2f", stickPositionDefault]];
	[stickPositionSlider setValue:stickPositionDefault];
	[stickHardnessLabel setText:[NSString stringWithFormat:@"%.2f", stickHardnessDefault]];
	[stickHardnessSlider setValue:stickHardnessDefault];
	[repetitivenessLabel setText:[NSString stringWithFormat:@"%.2f", repetitivenessDefault]];
	[repetitivenessSlider setValue:repetitivenessDefault];
	[baseDurLabel setText:[NSString stringWithFormat:@"%.2f", baseDurDefault]];
	[baseDurSlider setValue:baseDurDefault];
	
	[flangerRateLabel setText:[NSString stringWithFormat:@"%.2f", flangerRateDefault]];
	[flangerRateSlider setValue:flangerRateDefault];
	[bitRateLabel setText:[NSString stringWithFormat:@"%d", bitRateDefault]];
	[bitRateSlider setValue:bitRateDefault];
}



/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)releaseOutlets
{
	//self.faceView = nil;
	//self.slidselfer = nil;

	self.stickPositionLabel = nil;
	self.stickHardnessLabel = nil;
	self.flangerRateLabel = nil;
	self.bitRateLabel = nil;
	self.repetitivenessLabel = nil;
	self.baseDurLabel = nil;
	self.stickPositionSlider = nil;
	self.stickHardnessSlider = nil;
	self.flangerRateSlider = nil;
	self.bitRateSlider = nil;
	self.repetitivenessSlider = nil;
	self.baseDurSlider = nil;
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
	[self releaseOutlets];
}

- (void)dealloc {
	[self releaseOutlets];
	[rtcmixManager release];
	[super dealloc];
}


@end
