//
//  RTcmixManager.m
//  ModalBar
//
//  Created by Damon Holzborn on 3/1/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "RTcmixManager.h"


@implementation RTcmixManager

@synthesize modalBarScore;

#pragma mark Application Specific

- (void)setMainScoreParameter:(int)parameter withValue:(Float32)value {
	
	[modalBarScore.mainScoreParameters replaceObjectAtIndex:parameter withObject:[NSNumber numberWithFloat:value]];	
}

- (void)setSetupParameter:(int)parameter withValue:(Float32)value {
	
	[modalBarScore.setupScoreParameters replaceObjectAtIndex:parameter withObject:[NSNumber numberWithFloat:value]];	
}

#pragma mark Overides

- (void)startAudioQueuePlayer { 
	[super startAudioQueuePlayer];
	
	modalBarScore = [[RTcmixScore alloc] initWithMainScore:[[NSBundle mainBundle] pathForResource:@"ModalBar_Main" ofType:@"sco"]
											 setupScore:[[NSBundle mainBundle] pathForResource:@"ModalBar_Setup" ofType:@"sco"]
										 mainParameters:[NSArray arrayWithObjects:	
														 [NSNumber numberWithFloat:.23],
														 [NSNumber numberWithFloat:.5],
														 [NSNumber numberWithFloat:.25],
														 [NSNumber numberWithFloat:.1], nil]
									 andSetupParameters:[NSArray arrayWithObjects:	
														 [NSNumber numberWithFloat:1],
														 [NSNumber numberWithInt:8],
														 [NSNumber numberWithInt:0], nil]];
}

- (void) setInlet:(int)inlet withValue:(Float32)value {
	[super setInlet:(int)inlet withValue:(Float32)value];
	
	[modalBarScore.setupScoreParameters replaceObjectAtIndex:inlet - 1 withObject:[NSNumber numberWithFloat:value]];
}

- (void) parseScoreWithRTcmixScore:(RTcmixScore *)score {
	[super parseScoreWithRTcmixScore:(RTcmixScore *)score];
	
	modalBarScore.setupIsRunning = YES;
}

// stop all scheduled scripts
- (void)flushAllScripts {
	[super flushAllScripts];
	
	modalBarScore.setupIsRunning = NO;
}

- (void)maxBang { 
	[self parseScoreWithRTcmixScore:modalBarScore];
	NSLog(@"bangedy bang");
} 

- (void)dealloc {
	[modalBarScore release];
	[super dealloc];
}


@end
