//
//  RTcmixManager.m
//  ModalClass
//
//  Created by Damon Holzborn on 3/1/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "RTcmixManager.h"


@implementation RTcmixManager

@synthesize modalBarScore;


- (void)setMainScoreParameter:(int)parameter withValue:(Float32)value {
	
	[modalBarScore.mainScoreParameters replaceObjectAtIndex:parameter 
												 withObject:[NSNumber numberWithFloat:value]];	
}


- (void)startAudioQueuePlayer { 
	[super startAudioQueuePlayer];
	
	modalBarScore = [[RTcmixScore alloc] initWithMainScore:[[NSBundle mainBundle] pathForResource:@"ModalClass_Main" ofType:@"sco"]
												setupScore:[[NSBundle mainBundle] pathForResource:@"ModalClass_Setup" ofType:@"sco"]
											mainParameters:[NSArray arrayWithObjects:	
															[NSNumber numberWithFloat:.5],
															[NSNumber numberWithFloat:.5],
															[NSNumber numberWithFloat:.5],
															[NSNumber numberWithFloat:.15], nil]
										andSetupParameters:[NSArray arrayWithObjects:	
															[NSNumber numberWithFloat:1],
															[NSNumber numberWithInt:8],
															[NSNumber numberWithInt:0], nil]];
}

- (void) parseScoreWithRTcmixScore:(RTcmixScore *)score {
	[super parseScoreWithRTcmixScore:score];

	modalBarScore.setupIsRunning = YES;
}

- (void)flushAllScripts {
	[super flushAllScripts];
	 
	 modalBarScore.setupIsRunning = NO;

}
- (void)maxBang { 
	[self parseScoreWithRTcmixScore:modalBarScore];
	
} 


- (void)dealloc {
	[modalBarScore release];
    [super dealloc];
}

@end
