//
//  RTUserInteractionViewController.m
//  RTUserInteraction
//
//  Created by Damon Holzborn on 2/15/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "RTUserInteractionViewController.h"

@implementation RTUserInteractionViewController

@synthesize rtcmixManager;

@synthesize grainDurationLabel;
@synthesize highFreqLabel;
@synthesize lowFreqLabel;	
@synthesize filterFreqLabel;
@synthesize filterQLabel;

- (IBAction)grainDurationAction:(id)sender {
	UISlider *sl = sender;
	float value = sl.value;		
	
	[rtcmixManager setMainScoreParameter:0 withValue:value];
	
	[grainDurationLabel setText:[NSString stringWithFormat:@"%.2f", value]];
}

- (IBAction)highFreqAction:(id)sender {
	UISlider *sl = sender;
	float value = sl.value;		

	[rtcmixManager setMainScoreParameter:1 withValue:value];

	[highFreqLabel setText:[NSString stringWithFormat:@"%.2f", value]];
}

- (IBAction)lowFreqAction:(id)sender {
	UISlider *sl = sender;
	float value = sl.value;		

	[rtcmixManager setMainScoreParameter:2 withValue:value];

	[lowFreqLabel setText:[NSString stringWithFormat:@"%.2f", value]];	
}

- (IBAction)filterFreqAction:(id)sender {
	UISlider *sl = sender;
	float value = sl.value;		

	[rtcmixManager setInlet:1 withValue:value];

	[filterFreqLabel setText:[NSString stringWithFormat:@"%.2f", value]];	
}

- (IBAction)filterQAction:(id)sender {
	UISlider *sl = sender;
	float value = sl.value;		

	[rtcmixManager setInlet:2 withValue:value];

	[filterQLabel setText:[NSString stringWithFormat:@"%.2f", value]];	
}

- (IBAction)goScore {
	[rtcmixManager parseScoreWithRTcmixScore:[rtcmixManager grainScore]];
}

- (IBAction)stopScore {
	rtcmixManager.loopScore = !rtcmixManager.loopScore;
}


/*
// The designated initializer. Override to perform setup that is required before the view is loaded.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}
*/

/*
// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView {
}
*/



// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];
	
	rtcmixManager = [RTcmixManager sharedManager];
	[rtcmixManager startAUPlayerWithInputFlag:0];
}



/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {	
	self.grainDurationLabel = nil;
	self.highFreqLabel = nil;
	self.lowFreqLabel = nil;
	self.filterFreqLabel = nil;
	self.filterQLabel = nil;

	[rtcmixManager release];
	
    [super dealloc];
}

@end
