//
//  RTcmixManager.m
//
//  Created by Damon Holzborn on 2/3/11.
//

#import "RTcmixManager.h"


@implementation RTcmixManager

@synthesize grainScore;
@synthesize loopScore;

#pragma mark Application Specific

- (void)setMainScoreParameter:(int)parameter withValue:(Float32)value {
	
	[grainScore.mainScoreParameters replaceObjectAtIndex:parameter withObject:[NSNumber numberWithFloat:value]];	
}

#pragma mark Overides


- (void)startAUPlayerWithInputFlag:(int)inputFlag { 
	[super startAUPlayerWithInputFlag:inputFlag];
	
		grainScore = [[RTcmixScore alloc] initWithMainScore:[[NSBundle mainBundle] pathForResource:@"RTUserInteraction_Main" ofType:@"sco"]
												 setupScore:[[NSBundle mainBundle] pathForResource:@"RTUserInteraction_Setup" ofType:@"sco"]
											 mainParameters:[NSArray arrayWithObjects:	[NSNumber numberWithFloat:.1],
																						[NSNumber numberWithFloat:500.0],
																						[NSNumber numberWithFloat:2500.0], nil]
										 andSetupParameters:[NSArray arrayWithObjects:	[NSNumber numberWithFloat:1000.0],
																						[NSNumber numberWithFloat:0.1], nil]];

	loopScore = YES;
}

- (void) setInlet:(int)inlet withValue:(Float32)value {
	[super setInlet:(int)inlet withValue:(Float32)value];
	
	[grainScore.setupScoreParameters replaceObjectAtIndex:inlet - 1 withObject:[NSNumber numberWithFloat:value]];
}

- (void) parseScoreWithRTcmixScore:(RTcmixScore *)score {
	[super parseScoreWithRTcmixScore:(RTcmixScore *)score];
	
	grainScore.setupIsRunning = YES;
	loopScore = YES;
}

- (void)maxBang { 
	if (loopScore)
		[self parseScoreWithRTcmixScore:grainScore];
} 


- (void)dealloc {
	[grainScore release];
	
    [super dealloc];
}



@end
