//
//  RTcmixManager.m
//  RTAudioFile
//
//  Created by Damon Holzborn on 2/19/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "RTcmixManager.h"


@implementation RTcmixManager

@synthesize bufferScore1;
@synthesize bufferScore2;
@synthesize soundFileScore1;
@synthesize soundFileScore2;

- (IBAction)playBuffer1 {
	[self parseScoreWithRTcmixScore:bufferScore1];
}

- (IBAction)playBuffer2 {
	[self parseScoreWithRTcmixScore:bufferScore2];
}

- (IBAction)playFile1 {
	[self parseScoreWithRTcmixScore:soundFileScore1];
}

- (IBAction)playFile2 {
	[self parseScoreWithRTcmixScore:soundFileScore2];
}

- (void)startAudioQueuePlayer {
	[super startAudioQueuePlayer];
	
	if (![self setSampleBuffer:@"loocher" withSoundFile:@"loocher441.aif"])
		NSLog(@"problem setting up loocher");

	if (![self setSampleBuffer:@"sheep" withSoundFile:@"Sheep.aif"])
		NSLog(@"problem setting up sheep");

	
	bufferScore1 = [[RTcmixScore alloc] initWithScore:[[NSBundle mainBundle] pathForResource:@"BufferScore" ofType:@"sco"]
											   andParameters:[NSArray arrayWithObjects:	
															  @"loocher",
															  [NSNumber numberWithFloat:9.971],
															  nil]];
	bufferScore2 = [[RTcmixScore alloc] initWithScore:[[NSBundle mainBundle] pathForResource:@"BufferScore" ofType:@"sco"]
											   andParameters:[NSArray arrayWithObjects:	
															  @"sheep",
															  [NSNumber numberWithFloat:8.895],
															  nil]];
	
	soundFileScore1 = [[RTcmixScore alloc] initWithScore:[[NSBundle mainBundle] pathForResource:@"SoundFileScore" ofType:@"sco"]
											   andParameters:[NSArray arrayWithObjects:	
															  [[NSBundle mainBundle] pathForResource:@"AdamsJackhammer" ofType:@"aif"],
															  [NSNumber numberWithFloat:17.63],
															  nil]];
	soundFileScore2 = [[RTcmixScore alloc] initWithScore:[[NSBundle mainBundle] pathForResource:@"SoundFileScore" ofType:@"sco"]
											   andParameters:[NSArray arrayWithObjects:	
															  [[NSBundle mainBundle] pathForResource:@"River" ofType:@"aif"],
															  [NSNumber numberWithFloat:6.852],
															  nil]];
}

- (void)dealloc {
	[bufferScore1 release];
	[bufferScore2 release];
	[soundFileScore1 release];
	[soundFileScore2 release];
	
    [super dealloc];
}

@end
