//
//  RTcmixScore.m
//  RTtestbed
//
//  Created by Damon Holzborn on 7/21/10.
//

#import "RTcmixScore.h"

@implementation RTcmixScore

@synthesize mainScore;
@synthesize setupScore;
@synthesize mainScoreParameters;
@synthesize setupScoreParameters;
@synthesize setupIsRunning;

- (id)initWithScore:(NSString *)score {
	if (self = [super init]) { 
		mainScore = [[NSString alloc] initWithContentsOfFile:score encoding:NSUTF8StringEncoding error:NULL];
	} 
	return self;
}

- (id)initWithScore:(NSString *)score andParameters:(NSMutableArray *)parameters {
	if (self = [super init]) { 
		mainScore = [[NSString alloc] initWithContentsOfFile:score encoding:NSUTF8StringEncoding error:NULL];
		mainScoreParameters = [[NSMutableArray alloc] initWithArray:parameters];
	} 
	return self;
}

- (id)initWithMainScore:(NSString *)score setupScore:(NSString *)setup 
		 mainParameters:(NSMutableArray *)scoreParameters andSetupParameters:(NSMutableArray *)setupParameters {
	if (self = [super init]) 
	{ 
		BOOL scriptFileExists = [[NSFileManager defaultManager] fileExistsAtPath:score];
		if (scriptFileExists) 
		{
			mainScore = [[NSString alloc] initWithContentsOfFile:score encoding:NSUTF8StringEncoding error:NULL];
			setupScore = [[NSString alloc] initWithContentsOfFile:setup encoding:NSUTF8StringEncoding error:NULL];
		}
		else
		{
			mainScore = [[NSString alloc] initWithString:score];
			setupScore = [[NSString alloc] initWithString:setup];
		}

		mainScoreParameters = [[NSMutableArray alloc] initWithArray:scoreParameters];
		setupScoreParameters = [[NSMutableArray alloc] initWithArray:setupParameters];
	} 
	return self;
}

- (void) dealloc {
	[mainScore release];
	[setupScore release];
	[mainScoreParameters release];
	[setupScoreParameters release];
	
	[super dealloc];
}

@end
